apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ include "don.fullname" . }}-update-repositories
  labels:
    {{- include "don.labels" . | nindent 4 }}
spec:
  schedule: {{ .Values.cronJobs.updateRepositories.schedule | quote }}
  concurrencyPolicy: Forbid
  suspend: {{ not .Values.cronJobs.updateRepositories.enabled }}
  successfulJobsHistoryLimit: 1
  timeZone: CET
  jobTemplate:
    spec:
      backoffLimit: 2
      template:
        metadata:
          labels:
            {{- include "don.selectorLabels" . | nindent 12 }}
        spec:
          restartPolicy: Never
          containers:
            - name: python
              securityContext:
                {{- toYaml .Values.securityContext | nindent 16 }}
              image: {{ printf "%s:%s" .Values.image.repository .Values.image.tag }}
              imagePullPolicy: {{ .Values.image.pullPolicy }}
              command: ["/app/venv/bin/python3"]
              args: ["manage.py", "update_repositories",]
              env:
                {{- include "don.djangoBaseEnvironment" . | nindent 16 }}
                - name: GITLAB_ACCESS_TOKEN
                  valueFrom:
                    secretKeyRef:
                      name: {{ .Values.existingSecret | default (include "don.fullname" .) }}
                      key: gitlab-access-token
                - name: GITHUB_ACCESS_TOKEN
                  valueFrom:
                    secretKeyRef:
                      name: {{ .Values.existingSecret | default (include "don.fullname" .) }}
                      key: github-access-token
